Free MuleSoft CONNECT Keynote & Expo Pass Available!

Register now+
Nav

About Software Requirements for Anypoint Private Cloud

The following sections list the software required to install and run the Anypoint Platform Private Cloud Edition.

Supported Linux Distributions

The following Linux distributions are supported:

  • Red Hat Enterprise Linux (RHEL), versions 7.2.x, 7.3.x, and 7.4.x

  • CentOS, versions 7.2.x, 7.3.x, and 7.4.x

SELinux

Anypoint Platform Private Cloud Edition supports the default SELinux profile running in strict mode. If your environment uses a custom profile, it must provide an unconstrained user context when running the installer. Review any custom profiles with your customer support representative.

IPV4 Requirements

To run the platform, the IPV4 forwarding flag must be set to true. You must ensure that there are no processes on your system that set this flag to false. If the IPV4 flag is set to false, the platform fails.